<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_13) on Tue Aug 18 15:52:54 CEST 2009 -->
<TITLE>
DefaultIntSet
</TITLE>

<META NAME="date" CONTENT="2009-08-18">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DefaultIntSet";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntListIterator.html" title="class in ch.javasoft.util.intcoll"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/intcoll/DefaultIntSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.intcoll.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.intcoll</FONT>
<BR>
Class DefaultIntSet</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">ch.javasoft.util.intcoll.AbstractIntCollection</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html" title="class in ch.javasoft.util.intcoll">ch.javasoft.util.intcoll.AbstractSortedIntSet</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.intcoll.DefaultIntSet</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A>, <A HREF="../../../../ch/javasoft/util/intcoll/IntIterable.html" title="interface in ch.javasoft.util.intcoll">IntIterable</A>, <A HREF="../../../../ch/javasoft/util/intcoll/IntSet.html" title="interface in ch.javasoft.util.intcoll">IntSet</A>, <A HREF="../../../../ch/javasoft/util/intcoll/SortedIntSet.html" title="interface in ch.javasoft.util.intcoll">SortedIntSet</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.47"><B>DefaultIntSet</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html" title="class in ch.javasoft.util.intcoll">AbstractSortedIntSet</A><DT>implements <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A></DL>
</PRE>

<P>
Implementation of IntSet, also implementing SortedSet, using a sorted int
 array to store the values.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#ch.javasoft.util.intcoll.DefaultIntSet">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.util.intcoll.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.util.intcoll.<A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#mod">mod</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#DefaultIntSet()">DefaultIntSet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#DefaultIntSet(ch.javasoft.util.intcoll.DefaultIntList)">DefaultIntSet</A></B>(<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntList.html" title="class in ch.javasoft.util.intcoll">DefaultIntList</A>&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#DefaultIntSet(int)">DefaultIntSet</A></B>(int&nbsp;initialCapacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#DefaultIntSet(int[])">DefaultIntSet</A></B>(int[]&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#DefaultIntSet(ch.javasoft.util.intcoll.IntSet)">DefaultIntSet</A></B>(<A HREF="../../../../ch/javasoft/util/intcoll/IntSet.html" title="interface in ch.javasoft.util.intcoll">IntSet</A>&nbsp;set)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#addAll(java.util.Collection)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#addAll(int...)">addAll</A></B>(int...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#addAll(ch.javasoft.util.intcoll.IntCollection)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A>&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#addInt(int)">addInt</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#comparator()">comparator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#containsInt(int)">containsInt</A></B>(int&nbsp;o)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#create(int...)">create</A></B>(int...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#equals(java.lang.Object)">equals</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;obj)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#firstInt()">firstInt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/IntIterator.html" title="interface in ch.javasoft.util.intcoll">IntIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#intIterator()">intIterator</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#lastInt()">lastInt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#removeAll(java.util.Collection)">removeAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#removeInt(int)">removeInt</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#retainAll(java.util.Collection)">retainAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#subSet(int, int)">subSet</A></B>(int&nbsp;fromElement,
             int&nbsp;toElement)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a view of the portion of this set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>,
 exclusive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected 
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; T[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#toArrayInternal(T[], boolean)">toArrayInternal</A></B>(T[]&nbsp;arr,
                               boolean&nbsp;checkSize)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.intcoll.AbstractSortedIntSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.intcoll.<A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html" title="class in ch.javasoft.util.intcoll">AbstractSortedIntSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#headSet(int)">headSet</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#headSet(java.lang.Integer)">headSet</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#subSet(java.lang.Integer, java.lang.Integer)">subSet</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#tailSet(int)">tailSet</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#tailSet(java.lang.Integer)">tailSet</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.intcoll.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.intcoll.<A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#add(java.lang.Integer)">add</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#first()">first</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#last()">last</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toArray(T[])">toArray</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toIntArray()">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toIntArray(int[])">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toIntArrayInternal(int[], boolean)">toIntArrayInternal</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.intcoll.IntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.intcoll.<A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#toIntArray()">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#toIntArray(int[])">toIntArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.SortedSet"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true#first()" title="class or interface in java.util">first</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true#last()" title="class or interface in java.util">last</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.Set"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultIntSet()"><!-- --></A><H3>
DefaultIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.53"><B>DefaultIntSet</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntSet(int)"><!-- --></A><H3>
DefaultIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.56"><B>DefaultIntSet</B></A>(int&nbsp;initialCapacity)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntSet(ch.javasoft.util.intcoll.IntSet)"><!-- --></A><H3>
DefaultIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.59"><B>DefaultIntSet</B></A>(<A HREF="../../../../ch/javasoft/util/intcoll/IntSet.html" title="interface in ch.javasoft.util.intcoll">IntSet</A>&nbsp;set)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntSet(int[])"><!-- --></A><H3>
DefaultIntSet</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.63"><B>DefaultIntSet</B></A>(int[]&nbsp;values)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntSet(ch.javasoft.util.intcoll.DefaultIntList)"><!-- --></A><H3>
DefaultIntSet</H3>
<PRE>
protected <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.72"><B>DefaultIntSet</B></A>(<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntList.html" title="class in ch.javasoft.util.intcoll">DefaultIntList</A>&nbsp;values)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="create(int...)"><!-- --></A><H3>
create</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.68"><B>create</B></A>(int...&nbsp;values)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.77"><B>size</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#size()">size</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.82"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#isEmpty()">isEmpty</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="containsInt(int)"><!-- --></A><H3>
containsInt</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.87"><B>containsInt</B></A>(int&nbsp;o)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#containsInt(int)">containsInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#containsInt(int)">containsInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toArrayInternal(java.lang.Object[],boolean)"><!-- --></A><A NAME="toArrayInternal(T[], boolean)"><!-- --></A><H3>
toArrayInternal</H3>
<PRE>
protected &lt;T&gt; T[] <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.93"><B>toArrayInternal</B></A>(T[]&nbsp;arr,
                                  boolean&nbsp;checkSize)</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toArrayInternal(T[], boolean)">toArrayInternal</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.107"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#clear()">clear</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addInt(int)"><!-- --></A><H3>
addInt</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.113"><B>addInt</B></A>(int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#addInt(int)">addInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#addInt(int)">addInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.123"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#addAll(java.util.Collection)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(ch.javasoft.util.intcoll.IntCollection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.140"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A>&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#addAll(ch.javasoft.util.intcoll.IntCollection)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#addAll(ch.javasoft.util.intcoll.IntCollection)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int...)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.153"><B>addAll</B></A>(int...&nbsp;values)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#addAll(int...)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#addAll(int...)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeInt(int)"><!-- --></A><H3>
removeInt</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.165"><B>removeInt</B></A>(int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#removeInt(int)">removeInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#removeInt(int)">removeInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeAll(java.util.Collection)"><!-- --></A><H3>
removeAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.176"><B>removeAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#removeAll(java.util.Collection)">removeAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="retainAll(java.util.Collection)"><!-- --></A><H3>
retainAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.184"><B>retainAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;?&gt;&nbsp;c)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#retainAll(java.util.Collection)">retainAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="intIterator()"><!-- --></A><H3>
intIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/intcoll/IntIterator.html" title="interface in ch.javasoft.util.intcoll">IntIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.226"><B>intIterator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html#intIterator()">intIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll">IntCollection</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntIterable.html#intIterator()">intIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/IntIterable.html" title="interface in ch.javasoft.util.intcoll">IntIterable</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#intIterator()">intIterator</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="comparator()"><!-- --></A><H3>
comparator</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Comparator.html?is-external=true" title="class or interface in java.util">Comparator</A>&lt;? super <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.232"><B>comparator</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true#comparator()" title="class or interface in java.util">comparator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>always null</DL>
</DD>
</DL>
<HR>

<A NAME="firstInt()"><!-- --></A><H3>
firstInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.237"><B>firstInt</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#firstInt()">firstInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="lastInt()"><!-- --></A><H3>
lastInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.244"><B>lastInt</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#lastInt()">lastInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subSet(int, int)"><!-- --></A><H3>
subSet</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.253"><B>subSet</B></A>(int&nbsp;fromElement,
                            int&nbsp;toElement)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/intcoll/SortedIntSet.html#subSet(int, int)">SortedIntSet</A></CODE></B></DD>
<DD>Returns a view of the portion of this set whose elements range
 from <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>,
 exclusive.  (If <tt>fromElement</tt> and <tt>toElement</tt> are
 equal, the returned set is empty.)  The returned set is backed
 by this set, so changes in the returned set are reflected in
 this set, and vice-versa.  The returned set supports all
 optional set operations that this set supports.

 <p>The returned set will throw an <tt>IllegalArgumentException</tt>
 on an attempt to insert an element outside its range.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/SortedIntSet.html#subSet(int, int)">subSet</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/intcoll/SortedIntSet.html" title="interface in ch.javasoft.util.intcoll">SortedIntSet</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>fromElement</CODE> - low endpoint (inclusive) of the returned set<DD><CODE>toElement</CODE> - high endpoint (exclusive) of the returned set
<DT><B>Returns:</B><DD>a view of the portion of this set whose elements range from
         <tt>fromElement</tt>, inclusive, to <tt>toElement</tt>, exclusive</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntSet.html" title="class in ch.javasoft.util.intcoll">DefaultIntSet</A> <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.269"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="equals(java.lang.Object)"><!-- --></A><H3>
equals</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.274"><B>equals</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;obj)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html?is-external=true" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html#equals(java.lang.Object)">equals</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractSortedIntSet.html" title="class in ch.javasoft.util.intcoll">AbstractSortedIntSet</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/util/intcoll/DefaultIntSet.html#line.282"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/intcoll/AbstractIntCollection.html" title="class in ch.javasoft.util.intcoll">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntSet.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/DefaultIntListIterator.html" title="class in ch.javasoft.util.intcoll"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/intcoll/IntCollection.html" title="interface in ch.javasoft.util.intcoll"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/intcoll/DefaultIntSet.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntSet.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.intcoll.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
